/*
 * AutoDAO - Generic DAO on steroids implementation for Java.
 *
 * Copyright 2008-2009  Marat Radchenko <slonopotamus@users.sourceforge.net>
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package net.sf.autodao.impl;

import net.sf.autodao.impl.hibernate.HibernateDaoBeanDefinitionParser;
import net.sf.autodao.impl.hibernate.HibernateScanBeanDefinitionParser;
import org.springframework.beans.factory.xml.NamespaceHandlerSupport;

/**
 * Spring namespace handler.
 * <p/>
 * NOT FOR PUBLIC USE.
 */
final class AutoDAONamespaceHandler extends NamespaceHandlerSupport {

  /** {@inheritDoc} */
  @Override
  public void init() {
    registerBeanDefinitionParser("hibernate", new HibernateDaoBeanDefinitionParser());
    registerBeanDefinitionParser("hibernateScan", new HibernateScanBeanDefinitionParser());
  }
}
